### Virtual Method

# GimpUi PatternSelectButton pattern_set

#### Declaration [src]

    void
    pattern_set (
      GimpPatternSelectButton* button,
      const gchar* pattern_name,
      gint width,
      gint height,
      gint bpp,
      const guchar* mask_data,
      gboolean dialog_closing
    )

#### Description

No description available.

#### Parameters

`pattern_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  No description available.

`height`

  Type: `gint`

  No description available.

`bpp`

  Type: `gint`

  No description available.

`mask_data`

  Type: `const guchar*`

  No description available.

  The data is owned by the caller of the function.

`dialog_closing`

  Type: `gboolean`

  No description available.